import { interfaces } from 'inversify';
/**
 * Resolves container or something from container (if you specify resolving function)
 */
export declare function useContainer(): interfaces.Container;
export declare function useContainer<T>(resolve: (container: interfaces.Container) => T): T;
/**
 * Resolves injection by id (once, at first render).
 */
export declare function useInjection<T>(serviceId: interfaces.ServiceIdentifier<T>): T;
export declare function useOptionalInjection<T, D>(serviceId: interfaces.ServiceIdentifier<T>, resolveDefault: (container: interfaces.Container) => D): T | D;
export declare function useOptionalInjection<T>(serviceId: interfaces.ServiceIdentifier<T>): T | undefined;
/**
 * uses container.getAll(), works like @multiInject()
 * https://github.com/inversify/InversifyJS/blob/master/wiki/container_api.md#containergetall
 * https://github.com/inversify/InversifyJS/blob/master/wiki/multi_injection.md
 */
export declare function useAllInjections<T>(serviceId: interfaces.ServiceIdentifier<T>): readonly T[];
